#include <iostream>
#include <vector>
#include "histogram.h"
#include "text.h"

using namespace std;

struct Input {
    vector<double> numbers;
    size_t bucket{};
    size_t number_count{};
};

Input
input_data() {
    Input in;
    cin >> in.number_count;
    cin >> in.bucket;
    in.numbers.resize(in.number_count);
    for (size_t i = 0; i < in.number_count; i++) {
        cin >> in.numbers[i];
    }
    return in;
}

int main()
{

    auto in = input_data();
    auto stolb = make_histogram(in.numbers, in.bucket, in.number_count);
    show_histogram_text(stolb, in.bucket);

    return 0;
}
